"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.OSUtils = void 0;
/**
 * Utility class related to OS differences.
 */
class OSUtils {
    static isRoot() {
        return !OSUtils.isWindows() && (process === null || process === void 0 ? void 0 : process.getuid()) === 0;
    }
    static isWindows() {
        return process.platform === 'win32';
    }
}
exports.OSUtils = OSUtils;
